Bug 127194 - silent quit on power-off (not power-off friendly)
Summary: silent quit on power-off (not power-off friendly)
Status: REOPENED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: LO wishlist (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-12 12:06 UTC by Maciej Pilichowski
Modified: 2020-10-23 00:08 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2006-05-12 12:06:36 UTC
Version:            (using KDE KDE 3.5.2)
Installed from:    SuSE RPMs

Run the program. Open two tabs. Try to quit. There should be warning dialog, right? Cancel.

Now, power-off the computer. No warnings, no questions.
Comment 1 Stephan Kulow 2006-05-12 12:51:29 UTC
reported twice
Comment 2 Maciej Pilichowski 2006-05-12 14:57:05 UTC
Nope. Only once. I checked it twice -- konsole, kspread, konqueror and kmail. Each has only one report for it.
Comment 3 Kurt Hindenburg 2006-05-12 18:32:43 UTC
I don't see how this can be done.  For example, if the message popups with 'Quit', 'Close', 'Cancel' and the user hits Cancel, how can Konsole tell KDE/Kwin/KDesktop to stop logging out?
Also, if every app you have running (konsole,kspread,konq,kmail) pop ups a message box it will be confusing...
Comment 4 Maciej Pilichowski 2006-05-12 19:21:50 UTC
> I don't see how this can be done.  For example, if the message popups with
> 'Quit', 'Close', 'Cancel' and the user hits Cancel, how can Konsole tell
> KDE/Kwin/KDesktop to stop logging out? 

Try kate -- you'll find out (also kdevelop, kword, kpresenter, knode -- I did my homework today ;-D).

> Also, if every app you have running (konsole,kspread,konq,kmail) pop ups a
> message box it will be confusing... 

a) better confusion than losing data
b) it would happen if only you have modified data in all apps
c) it wouldn't be at once
d) see (c) -- so if you would like to stop shutting down the computer you only need to cancel one app question
Comment 5 Thiago Macieira 2006-05-18 19:39:13 UTC
By "Power Off", I hope you mean K Menu -> Log Out -> Turn Off Computer.
Comment 6 Maciej Pilichowski 2006-05-19 08:15:59 UTC
No, sorry. The power-off button (soft power-off of course) on the computer.
Comment 7 Kurt Hindenburg 2009-03-08 17:14:36 UTC
Konsole should likely use queryClose from MainWindow.
1. Traverse all sessions
2. Detect if a program is running in a session, if so popup a message asking to Cancel shutdown.
3. If user cancels shutdown do not close any sessions
Comment 8 Kurt Hindenburg 2012-01-28 18:18:26 UTC
Git commit 3309e5b12280b27a6e632f9c5e43a38f8f0791bf by Kurt Hindenburg.
Committed on 28/01/2012 at 19:15.
Pushed by hindenburg into branch 'master'.

Open close query when logging out with >1 sessions running.

This causes the close query dialog to be display when exiting Konsole
and logging off the system.

Ideally we should be looking on what's running, not the # of sessions.
FIXED-IN: 4.9

M  +4    -2    src/MainWindow.cpp

http://commits.kde.org/konsole/3309e5b12280b27a6e632f9c5e43a38f8f0791bf
Comment 9 Jekyll Wu 2012-06-09 22:16:02 UTC
Git commit 1ab2fc1b20885a9b82f6c5ca3f3c28876ec849f9 by Jekyll Wu.
Committed on 09/06/2012 at 23:40.
Pushed by jekyllwu into branch 'master'.

Do not ask for confirmation of closing when logging out.

This effectively reverts the change which was made to ask for
confirmation when powering off. That issue needs to be reworked in
next feature release, but for now just revert it since the current
implementation should cause more annoyance than benefit.
Related: bug 301458
FIXED-IN: 4.9.0

M  +8    -0    src/MainWindow.cpp

http://commits.kde.org/konsole/1ab2fc1b20885a9b82f6c5ca3f3c28876ec849f9
Comment 10 Jekyll Wu 2012-06-09 22:19:20 UTC
Reopen it since the previous fix is effective reverted now. This issue should be revisited and reworked for next feature release.
Comment 11 Justin Zobel 2020-10-23 00:08:41 UTC
On konsole 20.08.1 closing it with more than one tab open prompts the user. Please confirm this is fixed so we can resolve this.